## wanpipe 2.0.1

=== usr/lib/router/src/Makefile ===
# ============================================================================
# Makefile	Make script for building Linux WAN router utilities.
# ----------------------------------------------------------------------------
# Copyright (c) 1995-1996 Sangoma Technologies Inc.  All Rights Reserved.
# ============================================================================

####### MACROS ###############################################################

# Build options.
OS_TYPE	= _LINUX_
DEBUG	= 2

# Project file paths.
OUTDIR	= /usr/sbin
SYSINC	= /usr/include/linux
VPATH	= $(SYSINC)

# Tools options.
CFLAGS	= -Wall -O2 -D$(OS_TYPE) -D_DEBUG_=$(DEBUG)

####### RULES ################################################################

all:	$(OUTDIR)/wanconfig \
	$(OUTDIR)/sdladump \
	$(OUTDIR)/fpipemon \
	$(OUTDIR)/ppipemon
	@echo "Ok."

$(OUTDIR)/wanconfig:	wanconfig.c router.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/sdladump:	sdladump.c router.h wanpipe.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/fpipemon:	fpipemon.c fapi_m.h
	$(CC) $(CFLAGS) -o $@ $<

$(OUTDIR)/ppipemon:	ppipemon.c ppipemon.h
	$(CC) $(CFLAGS) -o $@ $<
