=== debian/changelog ===
wanpipe (2.1.1-2) frozen unstable; urgency=low

  * fixed bug #58611 (bad default config in wanpipeconfig script)
  * USER_MANUAL was not correct in /usr/share/doc/wanpipe/

 -- tony mancill <tmancill@debian.org>  Fri, 25 Feb 2000 04:21:28 -0700

wanpipe (2.1.1-1) frozen unstable; urgency=low

  * upload to frozen with new version *required* for 2.2.14 kernel in potato
  * support for S514 devices
  * new upstream version
  * closes bug #55126, closes bug #39801, closes bug #44692

 -- tony mancill <tmancill@debian.org>  Sat, 15 Jan 2000 10:27:06 -0700

wanpipe (2.0.6-2) unstable; urgency=low

  * new pkg build procedure - closes #44271

 -- tony mancill <tmancill@debian.org>  Thu,  9 Sep 1999 05:11:05 -0700

wanpipe (2.0.6-1) unstable; urgency=low

  * new upstream version (with patches for 2.2.11)
  * manpages are now installed according to policy

 -- tony mancill <tmancill@debian.org>  Wed, 18 Aug 1999 00:02:56 -0700

wanpipe (2.0.5-1) unstable; urgency=low

  * new upstream version
  * converted package source to using patches
  * new upstream contains USER_MANUAL.txt

 -- tony mancill <tmancill@debian.org>  Sun, 14 Aug 1999 19:21:11 -0700

wanpipe (2.0.4-5) unstable; urgency=low, closes=39801

  * compiled for Debian 2.2 (glibc2.1 and kernel 2.2.10)
  * removed unneeded patch binary and apply_patches script

 -- tony mancill <tmancill@debian.org>  Sun,  1 Aug 1999 13:50:18 -0700

wanpipe (2.0.4-4) unstable; urgency=low

  * cfgft1 no longer starts when wanpipe is running (hangs the card)
  * added pipemon_wraper.sh script
  * new upstream version of the user manual in doc
  * updated patch script and misc. for kernel 2.0.37 

 -- tony mancill <tmancill@debian.org>  Thu,  8 Jul 1999 14:36:07 -0400

wanpipe (2.0.4-3) unstable; urgency=low, closes=35652 
 
  * future upgrades will no longer brings down link (#35652)
  
 -- tony mancill <tmancill@debian.org>  Sat, 15 May 1999 21:33:41 -0400

wanpipe (2.0.4-2) unstable; urgency=low

  * fixed problem with preinst script on upgrades from 2.0.1-x
  * added example wanpipe_routes and wanpipe_monitor scripts
  * update to init.d script

 -- tony mancill <tmancill@debian.org>  Thu, 17 Dec 1998 01:09:55 -0500

wanpipe (2.0.4-1) unstable; urgency=low

  * new upstream version (including API drivers and example source)

 -- tony mancill <tmancill@debian.org>  Sun, 13 Dec 1998 16:38:11 -0500

wanpipe (2.0.3-3) unstable; urgency=low

  * added preinst script to preserve (copy) old configuration files
  * extensive mods for conformance to filesystem standards
  * new upstream version
  * migrated from debstd to debhelper

 -- tony mancill <tmancill@debian.org>  Thu, 17 Sep 1998 00:00:14 -0400

wanpipe (2.0.3-2) unstable; urgency=low

  * Sangoma modified upstream source w/out a version increment (980908)
 
 -- tony mancill <tmancill@debian.org>  Thu, 10 Sep 1998 20:52:31 -0400

wanpipe (2.0.3-1) unstable; urgency=low
  
  * LHS internal test version

 -- tony mancill <tmancill@debian.org>  Tue, 08 Sep 1998 23:10:04 -0400

wanpipe (2.0.1-4) unstable; urgency=low

  * cleaned up some lintian errors
  * added rfc1661 firmware module

 -- Tony Mancill <tmancill@debian.org>  Fri, 19 Jun 1998 17:41:03 -0400

wanpipe (2.0.1-3) unstable; urgency=low

  * Added manpages
  * New maintainer
  * Changed arch back to i386

 -- Tony Mancill <tmancill@debian.org>  Wed, 10 Jun 1998 23:34:21 -0400

wanpipe (2.0.1-2) unstable; urgency=low

  * Broke down and made it compile under glibc.
  * No longer includes precompiled binaries but build binaries.
  * Arch independant (arghh. Trouble ahead..... Where is the new
    maintainer?)

 -- Christoph Lameter <clameter@debian.org>  Fri,  6 Feb 1998 18:20:25 -0800

wanpipe (2.0.1-1) unstable; urgency=low

  * Converted from Slackware .tgz binary format to debian
  * Fine tuned a bit. Basically this is a libc5 dependent release that
    uses sangoma provided binaries. Provided some docs and moved things into
    the correct locations.

 -- Christoph Lameter <clameter@debian.org>  Tue, 13 Jan 1998 18:28:53 -0800

Local variables:
mode: debian-changelog
End:
