=== debian/control ===
Source: wanpipe
Section: net
Priority: extra
Maintainer: tony mancill <tmancill@debian.org>
Standards-Version: 3.0.1

Package: wanpipe
Architecture: i386
Depends: ${shlibs:Depends}
Pre-Depends: pdksh
Description: Configuration utilities for Sangoma S508/S514 WAN cards
 This package installs configuration tools and firmware modules for
 the Sangoma S508 and S514 router cards.  You may use this software
 to build a stable and flexible WAN router for frame-relay, PPP, or 
 Cisco HDLC leased-line links based on these cards.
 .
 This package is compiled against kernel 2.2.13.  This upstream
 version does not have support for X.25.
