=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# modification history:
#
# 20000103/tm	start from scratch with a new debhelper rules
# 20000207/tm	dh_installdocs is doing something weird with 
#		the upstream docs - commented it out
##############################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

 	# build wanconfig and ?pipemon binaries
	$(MAKE) -C usr/lib/wanrouter/src 

	# build cfgft1 binary (not part of upstream tarball)
	$(MAKE) -C debian/non_upstream/cfgft1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) -C usr/lib/wanrouter/src clean
	-$(MAKE) -C debian/non_upstream/cfgft1 clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C usr/lib/wanrouter/src install 
	$(MAKE) -C debian/non_upstream/cfgft1 install

	# handle the Configure script shipped with wanpipe
	# there is a patched version of the script in debian/non_upstream
	# which needs to be renamed "wanpipeconfig"
	cp -p debian/non_upstream/Configure debian/tmp/usr/sbin/wanpipeconfig
	
	# /usr/sbin/wanrouter is called /usr/sbin/wanpipe in Debian
	cp -p debian/non_upstream/wanrouter debian/tmp/usr/sbin/wanpipe
	
	# copy firmware into it's dest
	cp -p usr/lib/wanrouter/wanpipe/* debian/tmp/usr/lib/wanpipe
	
	# /etc/wanrouter.rc has been modified, and goes into
	# /etc/wanpipe/router.rc
	cp -p debian/non_upstream/wanrouter.rc debian/tmp/etc/wanpipe/router.rc
	cp -p debian/non_upstream/wanpipe1.fr debian/tmp/etc/wanpipe/router.conf
		
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	
#	cp -p usr/lib/wanrouter/doc/* debian/tmp/usr/share/doc/wanpipe
#	cp -p debian/non_upstream/README.patches debian/tmp/usr/share/doc/wanpipe

#	cp -p debian/non_upstream/README.wanpipe_routes debian/tmp/usr/share/doc/wanpipe
#	cp -p debian/non_upstream/README.wanpipe_monitor debian/tmp/usr/share/doc/wanpipe
	dh_installdocs
	
	dh_installexamples
	# move examples and fix the filenames
	
	cp -p debian/non_upstream/wanrouter.rc debian/tmp/usr/share/doc/wanpipe/examples/router.rc
	cp -p debian/non_upstream/wanpipe[12].* debian/tmp/usr/share/doc/wanpipe/examples
	cp -p usr/lib/wanrouter/samples/interface debian/tmp/usr/share/doc/wanpipe/examples
	
	cp -p debian/non_upstream/wanpipe_routes debian/tmp/usr/share/doc/wanpipe/examples
	cp -p debian/non_upstream/wanpipe_monitor debian/tmp/usr/share/doc/wanpipe/examples
	
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron

#	dh_installmanpages
	cp -p debian/non_upstream/cfgft1.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/cpipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/fpipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/ppipemon.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/sdladump.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/wanconfig.8 debian/tmp/usr/share/man/man8
	cp -p debian/non_upstream/wanpipeconfig.8 debian/tmp/usr/share/man/man8
		
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
