## wanpipe 2.1.1-2.1

=== debian/non_upstream/cfgft1/Makefile ===
#
# Makefile	Make script for building cfgft1
# Copyright (c) 1995-1996 Sangoma Technologies Inc.  All Rights Reserved.  
#
# modified by tony mancill <tmancill@debian.org> for inclusion into
# wanpipe Debian package
#

CFLAGS = -c -fshort-enums -Wall -g  -Wstrict-prototypes -I./include/ -O2 -DPLAT_LINUX \
         -DBUILD_SANGOMA_CHANB -DDEBIAN

CPP = g++
CC = gcc

SRCDIR = ../source
OUTDIR = ../../tmp/usr/sbin
OBJOUTDIR = ./output

#default rules

include filelist.txt

cfgft1: $(EXE_dependencies)
	g++ -g -o $(OBJOUTDIR)/cfgft1 $(EXE_dependencies)

.SUFFIXES : .cpp .c .s .o
.SUFFIXES : .dwn .sym

%.o: $(SRCDIR)/%.cpp   
	$(CPP) $(CFLAGS) -o $*.o $<   
%.o: $(SRCDIR)/%.c   
	$(CC) $(CFLAGS) -o $*.o $<
.s.o:
	$(AS) $(AFLAGS) $*.s


clean:
	rm -f $(OBJOUTDIR)/*.o $(OBJOUTDIR)/cfgft1

install:
	cp -p $(OBJOUTDIR)/cfgft1 $(OUTDIR)/cfgft1
