=== debian/changelog ===
wanpipe (2.1.1-2.1) frozen unstable; urgency=low

  * Non Maintainer Upload.
  * mark /etc/init.d/wanpipe, /etc/wanpipe/router.conf and
    /etc/wanpipe/router.rc as conffiles (closes: #132099)

 -- David Kimdon <dwhedon@debian.org>  Sun, 10 Feb 2002 19:21:34 -0800
